;(function(){  //插件封装
    $.fn.scrollLoad=function(fn){
    
        $(this).on('scroll',function(){
            var scrollTop = $(this).scrollTop();
            var clientHeight = $(document||this).height();
    
            if(scrollTop>(clientHeight-$(window).height()-50)){
                fn();
            }
        })
    }

    $.fn.tap=function(fn){ //绑定触摸事件
        $(this).on('touchend',function(e){
            fn.call(this,e)
        })
    }

    $.extend({  //时间转化
        toTime:function(value){
            var minutes = value>=60?parseInt((value/60)):'0';
            var seconds = value-(minutes*60);
            
            minutes = minutes<10?'0'+minutes:minutes;
            seconds = seconds<10?('0'+seconds):seconds;
            return minutes+':'+seconds;
        },

        toast:function(value){ //提示框
            var html = '<div id="toast" class="'+(value.mask?'bg':'')+'">'+
                            '<div class="text">'+
                                value.text||''
                            '</div>'+
                        '</div>';

            $('body').append(html);

            setTimeout(function(){
                $('#toast').remove();
                value.success&&value.success()
            },value.duration||500)
            
        }
    })


    window.alertFn=function(options){
        var html = '<div id="wrap">'+
                        '<div class="confirm">'+
                            '<div class="top">开通VIP,享免费学特权</div>'+
                            '<div class="bottom">'+
                                '<a href="javascript:;" class="btn cancel">'+(options.cancelText||'取消')+'</a>'+
                                '<a href="javascript:;" class="btn ok">'+(options.okText||'确定')+'</a>'+
                            '</div>'+
                        '</div>'+
                    '</div>';
            
            $('body').css({overflow:'hidden'})

            $('body').append(html);

            $('#wrap .ok').on('click',function(){
                options.ok&&options.ok();
                close()
            });

            $('#wrap .cancel').on('click',function(){
                options.cancel&&options.cancel();
                close()
            })

            function close(){
                $('#wrap').remove();
                $('body').attr('style','')
            }
    }
})();

$(function(){  //rem初始化
    $(window).on('resize',function(){
        var winWidth = $(window).width();

        if(winWidth<=1242){
            $('html').css({fontSize:($(window).width()/12.42)+'px'})
        }else{
            $('html').css({fontSize:100+'px'})
        }
        
    })

    $(window).trigger('resize')
})

function getInfo(name){
    let search = location.search;
    let str = search.substr(1);

    let array = str.split('&');
    let json = {};

    array.forEach(item=>{
        let arr = item.split('=');
        json[arr[0]] = arr[1];
    })

    if(json[name]){
        return json[name];
    }else{
        return '';
    }

}
